Bug 1182104 - (CVE-2021-26927) VUL-0: CVE-2021-26927: jasper: NULL pointer dereference in jp2_decode() in jp2_dec.c
(CVE-2021-26927)
VUL-0: CVE-2021-26927: jasper: NULL pointer dereference in jp2_decode() in jp...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/277518/
CVSSv3.1:SUSE:CVE-2021-26927:4.0:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-11 08:41 UTC by Alexander Bergmann
Modified: 2022-06-10 13:12 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2021-02-11 08:41:41 UTC
rh#1921428

A flaw was found in jasper. A null pointer dereference in jp2_decode in jp2_dec.c may lead to program crash and denial of service.

Upstream issue:

https://github.com/jasper-software/jasper/issues/265

Upstream patch:

https://github.com/jasper-software/jasper/commit/41f214b121b837fa30d9ca5f2430212110f5cd9b

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1921428
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-26927
Comment 2 Michael Vetter 2022-04-20 14:15:30 UTC
SLE11: SR#270293
SLE12: SR#270294
SLE15: SR#270295
Comment 4 Swamp Workflow Management 2022-04-29 19:19:14 UTC
SUSE-SU-2022:1475-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1182104,1182105,1184757,1184798
CVE References: CVE-2021-26926,CVE-2021-26927,CVE-2021-3443,CVE-2021-3467
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    jasper-1.900.14-195.31.1
SUSE Linux Enterprise Server 12-SP5 (src):    jasper-1.900.14-195.31.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-04-29 19:23:25 UTC
SUSE-SU-2022:1479-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1182104,1182105,1184757,1184798
CVE References: CVE-2021-26926,CVE-2021-26927,CVE-2021-3443,CVE-2021-3467
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    jasper-2.0.14-150000.3.25.1
openSUSE Leap 15.3 (src):    jasper-2.0.14-150000.3.25.1
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    jasper-2.0.14-150000.3.25.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    jasper-2.0.14-150000.3.25.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    jasper-2.0.14-150000.3.25.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    jasper-2.0.14-150000.3.25.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    jasper-2.0.14-150000.3.25.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Carlos López 2022-06-10 13:12:49 UTC
Done, closing.